Package ru.bitel.bgbilling.modules.card.server.bean

# Class Card

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.Card

    public class Card
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `CARD_ACTIVATE_BALANCE` |
  `static int` | `CARD_ACTIVATE_CONTRACT` |
  `static int` | `CARD_ACTIVE` |
  `static int` | `CARD_LOCK` |
  `static int` | `TYPE_CURRENT_DB` |
  `static int` | `TYPE_SUPER_DB` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Card()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkPeriod​(java.util.Date value)` |
  `boolean` | `checkPinCode​(java.lang.String value)` |
  `long` | `getCardCode()` |
  `java.lang.String` | `getCardPinCode()` |
  `int` | `getContractId()` |
  `int` | `getContractID()` | Deprecated.
  `java.lang.String` | `getContractName​(java.util.Calendar time)` |
  `java.util.Date` | `getDateActivate()` |
  `java.util.Date` | `getDateBegin()` |
  `java.util.Date` | `getDateEnd()` |
  `java.util.Calendar` | `getDealerDate()` |
  `int` | `getDealerId()` |
  `long` | `getId()` |
  `long` | `getID()` | Deprecated.
  `int` | `getMid()` |
  `int` | `getPatternId()` |
  `int` | `getPaymentType()` |
  `int` | `getSeriesId()` |
  `int` | `getServiceActivateId()` |
  `int` | `getServiceActivateID()` | Deprecated.
  `int` | `getServicePayId()` |
  `int` | `getServicePayID()` | Deprecated.
  `int` | `getStatus()` |
  `float` | `getSumma()` |
  `int` | `getType()` |
  `void` | `setCardCode​(long value)` |
  `void` | `setCardPinCode​(java.lang.String value)` |
  `void` | `setContractId​(int value)` |
  `void` | `setContractID​(int value)` | Deprecated.
  `void` | `setDateActivate​(java.util.Date value)` |
  `void` | `setDateBegin​(java.util.Date value)` |
  `void` | `setDateEnd​(java.util.Date value)` |
  `void` | `setDealerDate​(java.util.Calendar dealerDate)` |
  `void` | `setDealerId​(int dealerId)` |
  `void` | `setId​(long value)` |
  `void` | `setID​(long value)` | Deprecated.
  `void` | `setMid​(int mid)` |
  `void` | `setPatternId​(int value)` |
  `void` | `setPaymentType​(int value)` |
  `void` | `setSeriesId​(int seriesId)` |
  `void` | `setServiceActivateId​(int serviceActivateId)` |
  `void` | `setServiceActivateID​(int serviceActivateId)` | Deprecated.
  `void` | `setServicePayId​(int servicePayId)` |
  `void` | `setServicePayID​(int servicePayId)` | Deprecated.
  `void` | `setStatus​(int value)` |
  `void` | `setSumma​(float value)` |
  `void` | `setType​(int type)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CARD_LOCK

    public static final int CARD_LOCK
    See Also:
      Constant Field Values

  - ### CARD_ACTIVE

    public static final int CARD_ACTIVE
    See Also:
      Constant Field Values

  - ### CARD_ACTIVATE_CONTRACT

    public static final int CARD_ACTIVATE_CONTRACT
    See Also:
      Constant Field Values

  - ### CARD_ACTIVATE_BALANCE

    public static final int CARD_ACTIVATE_BALANCE
    See Also:
      Constant Field Values

  - ### TYPE_CURRENT_DB

    public static final int TYPE_CURRENT_DB
    See Also:
      Constant Field Values

  - ### TYPE_SUPER_DB

    public static final int TYPE_SUPER_DB
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Card

    public Card()

- ## Method Details

  - ### getCardPinCode

    public java.lang.String getCardPinCode()

  - ### checkPinCode

    public boolean checkPinCode​(java.lang.String value)

  - ### setId

    public void setId​(long value)

  - ### setID

    @Deprecated public void setID​(long value)
    Deprecated.
    Использовать `setId(long)`.
    Parameters:
      `value` -

  - ### getId

    public long getId()

  - ### getID

    @Deprecated public long getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setCardCode

    public void setCardCode​(long value)

  - ### getCardCode

    public long getCardCode()

  - ### setCardPinCode

    public void setCardPinCode​(java.lang.String value)

  - ### setSumma

    public void setSumma​(float value)

  - ### getSumma

    public float getSumma()

  - ### setDateBegin

    public void setDateBegin​(java.util.Date value)

  - ### getDateBegin

    public java.util.Date getDateBegin()

  - ### setDateEnd

    public void setDateEnd​(java.util.Date value)

  - ### getDateEnd

    public java.util.Date getDateEnd()

  - ### setStatus

    public void setStatus​(int value)

  - ### getStatus

    public int getStatus()

  - ### setServicePayId

    public void setServicePayId​(int servicePayId)

  - ### setServicePayID

    @Deprecated public void setServicePayID​(int servicePayId)
    Deprecated.
    Использовать `setServicePayId(int)`
    Parameters:
      `servicePayId` -

  - ### getServicePayId

    public int getServicePayId()

  - ### getServicePayID

    @Deprecated public int getServicePayID()
    Deprecated.
    Использовать `getServicePayId()`.
    Returns:

  - ### setContractId

    public void setContractId​(int value)

  - ### setContractID

    @Deprecated public void setContractID​(int value)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `value` -

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать `getContractId()`.
    Returns:

  - ### setDateActivate

    public void setDateActivate​(java.util.Date value)

  - ### getDateActivate

    public java.util.Date getDateActivate()

  - ### checkPeriod

    public boolean checkPeriod​(java.util.Date value)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getPatternId

    public int getPatternId()

  - ### setPatternId

    public void setPatternId​(int value)

  - ### setPaymentType

    public void setPaymentType​(int value)

  - ### getPaymentType

    public int getPaymentType()

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid​(int mid)

  - ### getServiceActivateId

    public int getServiceActivateId()

  - ### getServiceActivateID

    @Deprecated public int getServiceActivateID()
    Deprecated.
    Использовать `getServiceActivateId()`.
    Returns:

  - ### setServiceActivateId

    public void setServiceActivateId​(int serviceActivateId)

  - ### setServiceActivateID

    @Deprecated public void setServiceActivateID​(int serviceActivateId)
    Deprecated.
    Использовать `setServiceActivateId(int)`.
    Parameters:
      `serviceActivateId` -

  - ### getContractName

    public java.lang.String getContractName​(java.util.Calendar time)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public void setDealerId​(int dealerId)

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getDealerDate

    public java.util.Calendar getDealerDate()

  - ### setDealerDate

    public void setDealerDate​(java.util.Calendar dealerDate)

  - ### getSeriesId

    public int getSeriesId()

  - ### setSeriesId

    public void setSeriesId​(int seriesId)